ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gilles Scokart <>
Subject Re: Integration of antunit in junit
Date Wed, 28 Jan 2009 07:54:51 GMT
OK, let's go for conditional compilation.

I have dig deeper, and it might be possible to compile enterily the
sources in a 1.4 format.  You will just need to have a compiler able
to read 1.5 classes (I guess junit 4 classes are in a 1.5 class
format).  But I think the antunit adapter might be plain old 1.4
Also, probably one unit test will require 1.5 annotation.  If that's
the case, I will make it conditional also.

Gilles Scokart

2009/1/28 Stefan Bodewig <>:
> On 2009-01-27, Gilles Scokart <> wrote:
>> I finished a first step.  I have refactored AntUnit task in order to
>> extract the logic of running the antunit tests from the logic related
>> to the interaction with the container project.   Feedback are welcome.
> I like it.
>> I will now clean and check-in my junit runners.  But this will have
>> some impact.  The first one is light.  For a junit3 adapter, I will
>> have to add Junit dependency.  I plan to put it in a specific
>> package, and use junit only from this package.  I guess this one is
>> OK.
> Yes, just make it compile conditionally.
>> The second one is bigger.  For junit4 adapter, I will have move to
>> java 1.5.  Is there an objection to move the entire antunit library to
>> java 1.5?  Or would you preffer to only compile a junit4 package with
>> java 1.5 ?
> I'd prefer to keep AntUnit at the 1.4 level as long as the only reason
> is to provide a JUnit4 adapter - there are several JDK 1.4 only cases
> (like running inside Ant) that we should support.
> IMHO, put it into a separate package and make it compile
> conditionally.
> Stefan
> ---------------------------------------------------------------------
> To unsubscribe, e-mail:
> For additional commands, e-mail:

To unsubscribe, e-mail:
For additional commands, e-mail:

View raw message